com.collabnet.ce.soap60.webservices.team

## Interface ITeamAppSoap

- All Known Implementing Classes:
    TeamAppSoapMockStub, TeamAppSoapStub

      public interface ITeamAppSoap

  Provides SOAP services for managing teams

  Change History

  Version 18.1
  - getTeamData: Modified to return the team data, when the calling user has tracker view permission through User Group, Inherited role or Site-wide role. In earlier versions, it was returning the team data only if the current user has tracker view permission through direct role alone.

  - getTeamListForProject: Modified to return the teams list, when the calling user has tracker view permission through User Group, Inherited role or Site-wide role. In earlier versions, it was returning the teams list only if the current user has tracker view permission through direct role alone.

  - getChildTeamList: Modified to return the child teams list, when the calling user has tracker view permission through User Group, Inherited role or Site-wide role. In earlier versions, it was returning the child teams list only if the current user has tracker view permission through direct role alone.

  - getTeamMemberList: Modified to return the team members list, when the calling user has tracker view permission through User Group, Inherited role or Site-wide role. In earlier versions, it was returning the team members list only if the current user has tracker view permission through direct role alone.
  Since:
    8.0

- - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method and Description
    --- | ---
    `TeamSoapDO` | `createTeam(String sessionId, String projectId, String title, String description, String parentTeamId, String teamOwnerUserName, String[] memberUserNames)` Creates a new team
    `void` | `deleteTeam(String sessionId, String teamId)` Delete the team if team has no child
    `TeamSoapList` | `getChildTeamList(String sessionId, String parentTeamId)` Get list of child teams specific to parent team
    `TeamSoapDO` | `getTeamData(String sessionId, String teamId)` Get the team data for a team id.
    `TeamSoapList` | `getTeamListForProject(String sessionId, String projectId)` Get list of teams specific to project
    `UserSoapList` | `getTeamMemberList(String sessionId, String teamId)` Get list of team members specific to team
    `void` | `setTeamData(String sessionId, String teamId, String title, String description, String teamOwnerUserName, String[] memberUserNames, int version)` Update team data for given team Id

- - ### Method Detail

    - #### createTeam

          TeamSoapDO createTeam(String sessionId,
                                String projectId,
                                String title,
                                String description,
                                String parentTeamId,
                                String teamOwnerUserName,
                                String[] memberUserNames)
                         throws RemoteException

      Creates a new team
      Parameters:
        `sessionId` - User session id.
        `projectId` - The id of the project under which to create the new team
        `title` - The title of the new team
        `description` - The description of the new team
        `parentTeamId` - The id of the parent team
        `teamOwnerUserName` - The team owner name
        `memberUserNames` - The members of the team
      Returns:
        the team soap object
      Throws:
        `com.collabnet.ce.soap60.fault.InvalidSessionFault` - when the specified session id is invalid.
        `com.collabnet.ce.soap60.fault.PermissionDeniedFault` - when the user has insufficient privileges.
        `com.collabnet.ce.soap60.fault.SystemFault` - when an unexpected system error occurs.
        `com.collabnet.ce.soap60.fault.NoSuchObjectFault` - when the specified object id is invalid.
        `com.collabnet.ce.soap60.fault.ObjectAlreadyExistsFault` - if an existing team already exists.
        `com.collabnet.ce.soap60.fault.IllegalArgumentFault` - if invalid argument value was supplied.
        `com.collabnet.ce.soap60.fault.InvalidProjectFault` - if invalid project id value was supplied.
        `com.collabnet.ce.soap60.fault.InvalidTeamFault` - if invalid team id value was supplied.
        `RemoteException`
      Since:
        8.0

    - #### setTeamData

          void setTeamData(String sessionId,
                           String teamId,
                           String title,
                           String description,
                           String teamOwnerUserName,
                           String[] memberUserNames,
                           int version)
                    throws RemoteException

      Update team data for given team Id
      Parameters:
        `sessionId` - User session id.
        `teamId` - The team Id.
        `title` - The team title.
        `description` - The team description.
        `teamOwnerUserName` - The team owner user name.
        `memberUserNames` - The member user names.
        `version` - The version number.
      Throws:
        `com.collabnet.ce.soap60.fault.InvalidSessionFault` - when the specified session id is invalid.
        `com.collabnet.ce.soap60.fault.PermissionDeniedFault` - when the user has insufficient privileges.
        `com.collabnet.ce.soap60.fault.SystemFault` - when an unexpected system error occurs.
        `com.collabnet.ce.soap60.fault.NoSuchObjectFault` - when the specified object id is invalid.
        `com.collabnet.ce.soap60.fault.ObjectAlreadyExistsFault` - if an existing team already exists.
        `com.collabnet.ce.soap60.fault.IllegalArgumentFault` - if invalid argument value was supplied.
        `com.collabnet.ce.soap60.fault.InvalidTeamFault` - if invalid team id value was supplied.
        `com.collabnet.ce.soap60.fault.VersionMismatchFault` - if invalid version number was supplied.
        `RemoteException`
      Since:
        8.0

    - #### getTeamData

          TeamSoapDO getTeamData(String sessionId,
                                 String teamId)
                          throws RemoteException

      Get the team data for a team id.
      Parameters:
        `sessionId` - User session id.
        `teamId` - The team id.
      Returns:
        the team soap object
      Throws:
        `com.collabnet.ce.soap60.fault.InvalidSessionFault` - when the specified session id is invalid.
        `com.collabnet.ce.soap60.fault.PermissionDeniedFault` - when the user has insufficient privileges.
        `com.collabnet.ce.soap60.fault.SystemFault` - when an unexpected system error occurs.
        `com.collabnet.ce.soap60.fault.NoSuchObjectFault` - when the specified object id is invalid.
        `com.collabnet.ce.soap60.fault.ObjectAlreadyExistsFault` - if an existing team already exists.
        `com.collabnet.ce.soap60.fault.IllegalArgumentFault` - if invalid argument value was supplied.
        `RemoteException`
      Since:
        8.0

    - #### deleteTeam

          void deleteTeam(String sessionId,
                          String teamId)
                   throws RemoteException

      Delete the team if team has no child
      Parameters:
        `sessionId` - User session id.
        `teamId` - The team id.
      Throws:
        `com.collabnet.ce.soap60.fault.InvalidSessionFault` - when the specified session id is invalid.
        `com.collabnet.ce.soap60.fault.PermissionDeniedFault` - when the user has insufficient privileges.
        `com.collabnet.ce.soap60.fault.SystemFault` - when an unexpected system error occurs.
        `com.collabnet.ce.soap60.fault.NoSuchObjectFault` - when the specified object id is invalid.
        `com.collabnet.ce.soap60.fault.IllegalArgumentFault` - if invalid argument value was supplied.
        `com.collabnet.ce.soap60.fault.DeleteTeamFault` - if team has child.
        `RemoteException`
      Since:
        8.0

    - #### getTeamListForProject

          TeamSoapList getTeamListForProject(String sessionId,
                                             String projectId)
                                      throws RemoteException

      Get list of teams specific to project
      Parameters:
        `sessionId` - User session id.
        `projectId` - The id of the project under which to create the new team.
      Returns:
        list of team for project.
      Throws:
        `com.collabnet.ce.soap60.fault.InvalidSessionFault` - when the specified session id is invalid.
        `com.collabnet.ce.soap60.fault.PermissionDeniedFault` - when the user has insufficient privileges.
        `com.collabnet.ce.soap60.fault.SystemFault` - when an unexpected system error occurs.
        `com.collabnet.ce.soap60.fault.NoSuchObjectFault` - when the specified object id is invalid.
        `com.collabnet.ce.soap60.fault.ObjectAlreadyExistsFault` - if an existing team already exists.
        `com.collabnet.ce.soap60.fault.IllegalArgumentFault` - if invalid argument value was supplied.
        `com.collabnet.ce.soap60.fault.InvalidProjectFault` - if invalid project id value was supplied.
        `RemoteException`
      Since:
        8.0

    - #### getChildTeamList

          TeamSoapList getChildTeamList(String sessionId,
                                        String parentTeamId)
                                 throws RemoteException

      Get list of child teams specific to parent team
      Parameters:
        `sessionId` - User session id.
        `parentTeamId` - The parent team id.
      Returns:
        list of child teams for given parent team id.
      Throws:
        `com.collabnet.ce.soap60.fault.InvalidSessionFault` - when the specified session id is invalid.
        `com.collabnet.ce.soap60.fault.PermissionDeniedFault` - when the user has insufficient privileges.
        `com.collabnet.ce.soap60.fault.SystemFault` - when an unexpected system error occurs.
        `com.collabnet.ce.soap60.fault.NoSuchObjectFault` - when the specified object id is invalid.
        `com.collabnet.ce.soap60.fault.ObjectAlreadyExistsFault` - if an existing team already exists.
        `com.collabnet.ce.soap60.fault.IllegalArgumentFault` - if invalid argument value was supplied.
        `RemoteException`
      Since:
        8.0

    - #### getTeamMemberList

          UserSoapList getTeamMemberList(String sessionId,
                                         String teamId)
                                  throws RemoteException

      Get list of team members specific to team
      Parameters:
        `sessionId` - User session id.
        `teamId` - The team id.
      Returns:
        list of team members
      Throws:
        `com.collabnet.ce.soap60.fault.InvalidSessionFault` - when the specified session id is invalid.
        `com.collabnet.ce.soap60.fault.PermissionDeniedFault` - when the user has insufficient privileges.
        `com.collabnet.ce.soap60.fault.SystemFault` - when an unexpected system error occurs.
        `com.collabnet.ce.soap60.fault.NoSuchObjectFault` - when the specified object id is invalid.
        `com.collabnet.ce.soap60.fault.ObjectAlreadyExistsFault` - if an existing team already exists.
        `com.collabnet.ce.soap60.fault.IllegalArgumentFault` - if invalid argument value was supplied.
        `RemoteException`
      Since:
        8.0

Copyright © 2019 CollabNet. All rights reserved.